Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#69524 - [ffmpeg] Build with --enable-libebur128

Attached to Project: Arch Linux
Opened by sjung (tummychow) - Wednesday, 03 February 2021, 22:25 GMT
Last edited by Andreas Radke (AndyRTR) - Thursday, 22 July 2021, 05:35 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Maxime Gauduin (Alucryd)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

Add EBUR128 support. Personally, the specific reason I want this is to uninstall a bunch of gstreamer plugins that I use for the beets replaygain plugin (https://github.com/beetbox/beets/pull/3056).

Additional info:
current version is 2:4.3.1-4, with ffmpeg -version output:

ffmpeg version n4.3.1 Copyright (c) 2000-2020 the FFmpeg developers
built with gcc 10.2.0 (GCC)
configuration: --prefix=/usr --disable-debug --disable-static --disable-stripping --enable-amf --enable-avisynth --enable-cuda-llvm --enable-lto --enable-fontconfig --enable-gmp --enable-gnutls --enable-gpl --enable-ladspa --enable-libaom
--enable-libass --enable-libbluray --enable-libdav1d --enable-libdrm --enable-libfreetype --enable-libfribidi --enable-libgsm --enable-libiec61883 --enable-libjack --enable-libmfx --enable-libmodplug --enable-libmp3lame --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librav1e --enable-libsoxr --enable-libspeex --enable-libsrt --enable-libssh --enable-libtheora --enable-libv4l2 --enable-libvidstab --enable-libvmaf --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libx264 --enable-libx265 --enable-libxcb --enable-libxml2 --enable-libxvid --enable-nvdec --enable-nvenc --enable-shared --enable-version3
libavutil 56. 51.100 / 56. 51.100
libavcodec 58. 91.100 / 58. 91.100
libavformat 58. 45.100 / 58. 45.100
libavdevice 58. 10.100 / 58. 10.100
libavfilter 7. 85.100 / 7. 85.100
libswscale 5. 7.100 / 5. 7.100
libswresample 3. 7.100 / 3. 7.100
libpostproc 55. 7.100 / 55. 7.100
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Thursday, 22 July 2021, 05:35 GMT
Reason for closing:  None
Additional comments about closing:  see last comment
Comment by DrZaius (DrZaius) - Tuesday, 20 July 2021, 17:27 GMT
--enable-libebur128 was removed from FFmpeg in 2016 when an internal libebur128 library was added.

lavfi/loudnorm: add an internal libebur128 library
https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/005d058f4230f3207ebcf1131df7426d4f57392f
Comment by sjung (tummychow) - Tuesday, 20 July 2021, 18:16 GMT
Oh, how embarrassing. Looks like the beets plugin already checks for the internal ebur128 filter, I just wasn't paying enough attention. This can probably be closed.

Loading...